Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface IFeatureSituation

All Superinterfaces:
  ISituationType

All Known Implementing Classes:
  FeatureSituationImpl

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public interface IFeatureSituation
extends ISituationType

The FeatureSituation deals with the situations that announce that a feature of a component is now ready (or not ready) for service requests. Situations that indicate things like services being available and services or features being unavailable fall into this category. Existing situations include words like now available, currently available, and transport is listening on port 123, for example: `SRVE0171I: Transport HTTPS is listening on port 9443 MSGS0601I: WebSphere Embedded Messaging has not been installed`

Since:
  1.0.1
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  `ISituationType`

Method Summary
`java.lang.String` | `getFeatureDisposition()` Deprecated. Returns the featureDisposition.
`void` | `setFeatureDisposition(java.lang.String featureDisposition)` Deprecated. Sets the featureDisposition.

Methods inherited from interface org.eclipse.hyades.logging.events.ISituationType
`getReasoningScope, init, setReasoningScope`

Method Detail

### getFeatureDisposition

    public java.lang.String getFeatureDisposition()

  Deprecated.
  Returns the featureDisposition. This property specifies the availability disposition of a feature of a component that caused the situation to be reported. The featureDisposition is a string with the following set of values: AVAILABLE NOT AVAILABLE This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Returns:
    String The returned featureDisposition.
  Since:
    1.0.1

### setFeatureDisposition

    public void setFeatureDisposition(java.lang.String featureDisposition)

  Deprecated.
  Sets the featureDisposition. This property specifies the availability disposition of a feature of a component that caused the situation to be reported. The featureDisposition is a string with the following set of values: AVAILABLE NOT AVAILABLE This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Parameters:
    `featureDisposition` - The featureDisposition to be set.
  Since:
    1.0.1

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD